Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetServChangingEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.inet.server.event.InetServChangingEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class InetServChangingEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent implements ErrorReturnableEvent
Событие вызывается в момент правки сервиса договора. Возможно изменение его параметров.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServChangingEvent(int moduleId, int userId, InetServ oldInetServ, InetServ newInetServ)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает ошибку при правке сервиса.
  `InetServ`
  `getInetServ()`
  Возвращает изменяемый сервис договора (не рекомендуемый синоним для `getNewInetServ()`).
  `InetServ`
  `getNewInetServ()`
  Возвращает изменяемый сервис договора.
  `InetServ`
  `getOldInetServ()`
  Возвращает предыдущее значение изменяемого сервиса договора.
  `void`
  `setError(String error)`
  Устанавливает ошибку при правке сервиса.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetServChangingEvent

    public InetServChangingEvent(int moduleId, int userId, InetServ oldInetServ, InetServ newInetServ)

- ## Method Details

  - ### getNewInetServ

    public InetServ getNewInetServ()
    Возвращает изменяемый сервис договора.
    Returns:

  - ### getOldInetServ

    public InetServ getOldInetServ()
    Возвращает предыдущее значение изменяемого сервиса договора.
    Returns:

  - ### getInetServ

    public InetServ getInetServ()
    Возвращает изменяемый сервис договора (не рекомендуемый синоним для `getNewInetServ()`).
    Returns:

  - ### getError

    public String getError()
    Возвращает ошибку при правке сервиса. При наличие ошибки правка отменяется.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:

  - ### setError

    public void setError(String error)
    Устанавливает ошибку при правке сервиса.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` -